Change log for sane-backends package in Ubuntu

175 of 116 results
Published in jammy-release
Published in impish-release
Deleted in impish-proposed (Reason: Moved to impish)
sane-backends (1.0.32-3ubuntu1) impish; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - Added "Recommends: sane-airscan" to the libsane1 binary package,
      as the separate sane-airscan package supports the scanners in most
      modern multi-function devices (improves eSCL and adds WSD support).
    - Removed 0040-remove_git.patch. It breaks the Ubuntu build (with
      Ubuntu's source tarball) and seems to provide no benefit.
    - In 0175-fix_tests.patch use 1.0.32 instead of 1.0.32-debian as
      upstream version number.
    - Use the source tarball from 1.0.32-0ubuntu1.

 -- Till Kamppeter <email address hidden>  Wed, 18 Aug 2021 12:18:16 +0200
Superseded in impish-release
Published in hirsute-release
Deleted in hirsute-proposed (Reason: Moved to hirsute)
sane-backends (1.0.32-0ubuntu2) hirsute; urgency=medium

  * Added "Recommends: sane-airscan" to the libsane1 binary package,
    as the separate sane-airscan package supports the scanners in most
    modern multi-function devices (improves eSCL and adds WSD support).

 -- Till Kamppeter <email address hidden>  Thu, 18 Feb 2021 14:18:16 +0100

Available diffs

Superseded in hirsute-release
Deleted in hirsute-proposed (Reason: moved to Release)
sane-backends (1.0.32-0ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * 0165-respect_local_only_parameter.patch,
    0170-return_empty_list_when_local_devices_requested.patch: Removed
    backported upstream fix patches.
  * 0040-remove_git.patch,
    0100-source_spelling.patch,
    0055-Fix_build_error.patch: Removed, problems solved upstream.
  * 0125-multiarch_dll_search_path.patch: Manually adapted to the
    new code.
  * 0140-avahi.patch,
    0145-avahi.patch,
    0600-scanimage_manpage.patch,
    0705-kfreebsd.patch,
    0725-fix_link_60-libsane_rule.patch,
    0150-i386-test.patch,
    0155-hurd_PATH_MAX.patch,
    0045-disable_lock_test_at_build_time.patch,
    0060-cross.patch: Patches refreshed with quilt.

 -- Till Kamppeter <email address hidden>  Thu, 18 Feb 2021 14:18:16 +0100
Superseded in hirsute-release
Deleted in hirsute-proposed (Reason: moved to Release)
sane-backends (1.0.31-4build2) hirsute; urgency=medium

  * No-change upload to build against net-snmp on armhf.

 -- Sergio Durigan Junior <email address hidden>  Thu, 07 Jan 2021 20:08:21 -0500
Superseded in hirsute-proposed
sane-backends (1.0.31-4build1) hirsute; urgency=medium

  * No-change upload due to net-snmp transition.

 -- Sergio Durigan Junior <email address hidden>  Thu, 07 Jan 2021 15:12:29 -0500
Superseded in hirsute-release
Deleted in hirsute-proposed (Reason: moved to Release)
sane-backends (1.0.31-4) unstable; urgency=medium

  * debian/rules: 
    - Add the --disable-locking option to dh_auto_configure.

 -- Jörg Frings-Fürst <email address hidden>  Fri, 04 Dec 2020 17:08:57 +0100

Available diffs

Published in groovy-updates
Deleted in groovy-proposed (Reason: moved to -updates)
sane-backends (1.0.31-2ubuntu0.20.10) groovy; urgency=medium

  * debian/rules:
    - build again with --disable-locking since the feature is currently
      not working correctly (lp: #1898905)

 -- Sebastien Bacher <email address hidden>  Tue, 03 Nov 2020 17:30:51 +0100
Superseded in hirsute-release
Deleted in hirsute-proposed (Reason: moved to Release)
sane-backends (1.0.31-3) unstable; urgency=medium

  * debian/sane-utils.postrm (Closes: #941625):
    - On purge remove pid file if sysvinit are used.
  * debian/99-libsane1.rules (Closes: #960083):
    - Add condition ENV{DEVNAME}!="" to run setfacl only on usb scanners.
  * debian/rules:
    - Replace the --enable-avahi option with an --with-avahi.
    - Remove the --enable-locking option from dh_auto_configure
      (Closes: #973490, #971584).

 -- Jörg Frings-Fürst <email address hidden>  Mon, 02 Nov 2020 08:19:03 +0100
Superseded in hirsute-proposed
sane-backends (1.0.31-3~build1) hirsute; urgency=medium

  * debian/sane-utils.postrm (Closes: #941625):
    - On purge remove pid file if sysvinit are used.
  * debian/99-libsane1.rules (Closes: #960083):
    - Add condition ENV{DEVNAME}!="" to run setfacl only on usb scanners.
  * debian/rules:
    - Replace the --enable-avahi option with an --with-avahi.
    - Remove the --enable-locking option from dh_auto_configure
      (Closes: #973490, #971584).

 -- Jörg Frings-Fürst <email address hidden>  Mon, 02 Nov 2020 08:19:03 +0100
Superseded in hirsute-release
Deleted in hirsute-proposed (Reason: moved to Release)
sane-backends (1.0.31-2ubuntu1) hirsute; urgency=medium

  * debian/rules:
    - build again with --disable-locking since the feature currently
      not working correctly (lp: #1898905)

 -- Sebastien Bacher <email address hidden>  Thu, 29 Oct 2020 13:08:07 +0100
Superseded in hirsute-release
Published in groovy-release
Deleted in groovy-proposed (Reason: moved to Release)
sane-backends (1.0.31-2) unstable; urgency=medium

  * Upload into unstable (Closes: #969592).
  * New patch:
    - debian/patches/0170-return_empty_list_when_local_devices_requested.patch.
  * Remove not longer needed patches from debian/patches:
    - 0160-big_endian.patch
    - 0700-mk_reproducible_results.patch
    - 0715-20-sane.hwdb_multi-arch.patch
  * Fix typos in the Forwarded tag in the patch headers.
  * debian/upstream/metadata:
    - Change to gitlab.
  * Fix some trailing whitespaces / blank lines.

 -- Jörg Frings-Fürst <email address hidden>  Sun, 27 Sep 2020 13:38:48 +0200
Published in bionic-updates
Deleted in bionic-proposed (Reason: moved to -updates)
sane-backends (1.0.27-1~experimental3ubuntu2.4) bionic; urgency=medium

  * debian/patches/0125-multiarch_dll_search_path.patch:
    - Support /usr/lib64/sane as location for SANE backends
      (LP: #1835220)

 -- Gunnar Hjalmarsson <email address hidden>  Thu, 17 Sep 2020 14:50:00 +0200
Published in focal-updates
Deleted in focal-proposed (Reason: moved to -updates)
sane-backends (1.0.29-0ubuntu5.2) focal; urgency=medium

  * debian/patches/0125-multiarch_dll_search_path.patch:
    - Support /usr/lib64/sane as location for SANE backends
      (LP: #1835220)

 -- Gunnar Hjalmarsson <email address hidden>  Thu, 17 Sep 2020 14:47:00 +0200
Superseded in groovy-release
Deleted in groovy-proposed (Reason: moved to Release)
sane-backends (1.0.31-1~experimental1) experimental; urgency=medium

  * New upstream release (Closes: #968949, #962539).
  * Add back libsane transitional package, to ease upgrades (Closes: #962936):
    - debian/control: Add package libsane as oldlibs.
      Thanks to Gianfranco Costamagna <email address hidden>.
  * debian/copyright:
    - Fix lintian *-globbing-patterns errors.
    - Refresh to the new upstream release.
  * Convert debian/po/de.po to utf-8.
  * New patches:
    - debian/patches/0045-disable_lock_test_at_build_time.patch
    - debian/patches/0050-Use-python3-shebang.patch
    - debian/patches/0055-Fix_build_error.patch
    - debian/patches/0165-respect_local_only_parameter.patch
  * debian/rules:
    - Use --enable-locking instead --disable-locking.
  * debian/control:
    - Add libpoppler-glib-dev to Build-Depends.
    - Add ipp-usb to libsane1 Recommends (Closes: #968953).
  * debian/libsane1.symbols:
    - Remove 7 not longer available symbols.
  * debian/saned@.service:
    - Switch Standard[Output|Error] from syslog to append:/var/log/saned.log.
    - New debian/sane-utils.logrotate to pack and remove old logs.
  * debian/libsane-common.lintian-overrides:
    - Rename tags.
  * debian/patches/0125-multiarch_dll_search_path.patch:
    - Add $(prefix)/lib64/sane to lib search path  (Closes: #931297).
  * Fix FTCBFS: (Closes: #948711)
    - 0060-cross.patch: Make gphoto2 detection use the host architecture
      pkg-config.
    - Build tools/sane-desc for the build architecture.
    - Thanks to Helmut Grohne <email address hidden>.
  * Remove files no longer needed:
    - debian/saned.socket
    - debian/saned@.service

 -- Jörg Frings-Fürst <email address hidden>  Sat, 05 Sep 2020 17:48:20 +0200
Published in xenial-updates
Published in xenial-security
sane-backends (1.0.25+git20150528-1ubuntu2.16.04.3) xenial-security; urgency=medium

  * SECURITY UPDATE: memory disclosure via crafted SANE_NET_CONTROL_OPTION
    packet
    - debian/patches/CVE-2017-6318.patch: address memory corruption and
      information leakage in frontend/saned.c.
    - CVE-2017-6318
  * SECURITY UPDATE: out-of-bounds read in epsonds
    - debian/patches/CVE-2020-12862.patch: do not read beyond the end of
      the token in backend/epsonds-cmd.c.
    - CVE-2020-12862
  * SECURITY UPDATE: out-of-bounds read in epsonds
    - debian/patches/CVE-2020-12863.patch: read only up to seven hexdigits
      to determine payload size in backend/epsonds-cmd.c.
    - CVE-2020-12863
  * SECURITY UPDATE: heap buffer overflow in epsonds
    - debian/patches/CVE-2020-12865.patch: check for overflow when reading
      image data in backend/epsonds-cmd.c, backend/epsonds.c,
      backend/epsonds.h.
    - CVE-2020-12865
  * SECURITY UPDATE: NULL pointer dereference in epson2
    - debian/patches/CVE-2020-12867.patch: rewrite network I/O in
      backend/epson2_net.c, backend/epson2_net.h.
    - CVE-2020-12867

 -- Marc Deslauriers <email address hidden>  Fri, 21 Aug 2020 11:15:11 -0400
Superseded in bionic-updates
Published in bionic-security
sane-backends (1.0.27-1~experimental3ubuntu2.3) bionic-security; urgency=medium

  * SECURITY UPDATE: multiple issues in epsonds network discovery
    - debian/patches/CVE-2020-12861_12864_12866.patch: disable network
      autodiscovery in backend/epsonds.conf.in.
    - CVE-2020-12861
    - CVE-2020-12864
    - CVE-2020-12866
  * SECURITY UPDATE: out-of-bounds read in epsonds
    - debian/patches/CVE-2020-12862.patch: do not read beyond the end of
      the token in backend/epsonds-cmd.c.
    - CVE-2020-12862
  * SECURITY UPDATE: out-of-bounds read in epsonds
    - debian/patches/CVE-2020-12863.patch: read only up to seven hexdigits
      to determine payload size in backend/epsonds-cmd.c.
    - CVE-2020-12863
  * SECURITY UPDATE: heap buffer overflow in epsonds
    - debian/patches/CVE-2020-12865.patch: check for overflow when reading
      image data in backend/epsonds-cmd.c, backend/epsonds.c,
      backend/epsonds.h.
    - CVE-2020-12865
  * SECURITY UPDATE: NULL pointer dereference in epson2
    - debian/patches/CVE-2020-12867.patch: rewrite network I/O in
      backend/epson2_net.c, backend/epson2_net.h.
    - CVE-2020-12867

 -- Marc Deslauriers <email address hidden>  Fri, 21 Aug 2020 11:02:07 -0400
Superseded in focal-updates
Published in focal-security
sane-backends (1.0.29-0ubuntu5.1) focal-security; urgency=medium

  * SECURITY UPDATE: multiple issues in epsonds network discovery
    - debian/patches/CVE-2020-12861_12864_12866.patch: disable network
      autodiscovery in backend/epsonds.conf.in.
    - CVE-2020-12861
    - CVE-2020-12864
    - CVE-2020-12866
  * SECURITY UPDATE: out-of-bounds read in epsonds
    - debian/patches/CVE-2020-12862.patch: do not read beyond the end of
      the token in backend/epsonds-cmd.c.
    - CVE-2020-12862
  * SECURITY UPDATE: out-of-bounds read in epsonds
    - debian/patches/CVE-2020-12863.patch: read only up to seven hexdigits
      to determine payload size in backend/epsonds-cmd.c.
    - CVE-2020-12863
  * SECURITY UPDATE: heap buffer overflow in epsonds
    - debian/patches/CVE-2020-12865.patch: check for overflow when reading
      image data in backend/epsonds-cmd.c, backend/epsonds.c,
      backend/epsonds.h.
    - CVE-2020-12865
  * SECURITY UPDATE: NULL pointer dereference in epson2
    - debian/patches/CVE-2020-12867.patch: rewrite network I/O in
      backend/epson2_net.c, backend/epson2_net.h.
    - CVE-2020-12867

 -- Marc Deslauriers <email address hidden>  Fri, 21 Aug 2020 10:48:50 -0400
Superseded in groovy-release
Deleted in groovy-proposed (Reason: moved to Release)
sane-backends (1.0.30-1~experimental2ubuntu1) groovy; urgency=medium

  * Sync from debian experimental, Remaining changes:
    - add back libsane transitional package, to ease upgrades.
      (this can be dropped after 22.04)

 -- Gianfranco Costamagna <email address hidden>  Sun, 14 Jun 2020 13:36:40 +0200
Superseded in groovy-proposed
sane-backends (1.0.30-1~experimental2) experimental; urgency=medium

  * debian/not-installed:
    - Add usr/share/doc/libsane/backend-writing.txt.
  * debian/libsane1.symbols:
    - Add (arch=!hurd-i386) to cmsg@Base.

 -- Jörg Frings-Fürst <email address hidden>  Sun, 31 May 2020 09:23:01 +0200
Superseded in groovy-release
Published in focal-release
Deleted in focal-proposed (Reason: moved to Release)
sane-backends (1.0.29-0ubuntu5) focal; urgency=medium

  * debian/patches/e1934720c687ed8c6125c75ac658f55b4e1513ce.patch:
    - fix BE builds
  * Ignore testsuite on i386
    - https://gitlab.com/sane-project/backends/issues/157
  * Refresh symbols on ppc64el and s390x

 -- Gianfranco Costamagna <email address hidden>  Mon, 24 Feb 2020 09:39:28 +0100
Superseded in focal-proposed
sane-backends (1.0.29-0ubuntu4) focal; urgency=medium

  * Re-enable testsuite and ignore result on i386

 -- Gianfranco Costamagna <email address hidden>  Mon, 24 Feb 2020 16:20:10 +0100

Available diffs

Superseded in focal-proposed
sane-backends (1.0.29-0ubuntu3) focal; urgency=medium

  * debian/patches/e1934720c687ed8c6125c75ac658f55b4e1513ce.patch:
    - fix BE builds
  * Ignore testsuite on i386
    - https://gitlab.com/sane-project/backends/issues/157
  * Refresh symbols on ppc64el and s390x

 -- Gianfranco Costamagna <email address hidden>  Mon, 24 Feb 2020 09:39:28 +0100
Superseded in focal-proposed
sane-backends (1.0.29-0ubuntu2) focal; urgency=medium

  * Added missing Build-Depends: autoconf-archive, libcurl4-gnutls-dev,
    libxml2-dev, libpng-dev. Avoids FTBFS and makes sure all backends get
    included (LP: 1862926).

 -- Till Kamppeter <email address hidden>  Tue, 11 Feb 2020 12:27:25 +0100

Available diffs

Superseded in focal-proposed
sane-backends (1.0.29-0ubuntu1) focal; urgency=medium

  * New upstream release
    - Added Apple AirScan support via the new "escl" backend. This makes
      the scanners of all those multi-function printers work which support
      AirPrint, and this is practically every modern multi-function printer.
  * escl-page-geometry-fixes.patch: Applied page geometry bug fixes
    and support for page dimensions in mm, this way one can select the
    scan size in simple-scan (Upstream issue #230, Merge request #316).
  * Refreshed patches 0020-nousbtest.patch,
    0025-multiarch_manpages_libdir.patch, 0600-scanimage_manpage.patch,
    0705-kfreebsd.patch, 0125-multiarch_dll_search_path.patch,
    0715-20-sane.hwdb_multi-arch.patch
  * Updated patch 0710-sane-desc.c_debian_mods.patch and
    debian/*.symbols.* files from
    https://launchpad.net/~rolfbensch/+archive/ubuntu/sane-git/
    Thanks to Rolf Bensch for his SANE snapshot PPA.
  * Removed patches (fixes in upstream code now): 0100-source_spelling.patch,
    0150-genesys-Fix-use-of-uninitialized-variable.patch,
    0720-mustek_usb2-Avoid-stack-smashing.patch,
    git-fix-discolored-bar-issue.patch.
  * 0720-sane-release-enable-aclocal.patch: Make aclocal working in a
    release source tarball without GIT repository embedded. Thanks to Rolf
    Bensch for an appropriate patch in his SANE snapshot PPA.
  * debian/libsane.symbols.amd64: Updated with dpkg-gensymbols.

 -- Till Kamppeter <email address hidden>  Tue, 11 Feb 2020 12:27:25 +0100
Superseded in focal-release
Deleted in focal-proposed (Reason: moved to Release)
sane-backends (1.0.27-3.2ubuntu4) focal; urgency=medium

  * Rebuild for libsnmp35.

 -- Rafael David Tinoco <email address hidden>  Tue, 14 Jan 2020 18:04:49 +0000
Superseded in focal-release
Obsolete in eoan-release
Deleted in eoan-proposed (Reason: moved to Release)
sane-backends (1.0.27-3.2ubuntu3) eoan; urgency=medium

  * debian/libsane.symbols.armhf:
    - Update for drivers that no longer build due to emulated syscalls being
      removed in glibc (LP: #1843764)

 -- Robert Ancell <email address hidden>  Thu, 19 Sep 2019 14:08:14 +0200
Superseded in bionic-updates
Deleted in bionic-proposed (Reason: moved to -updates)
sane-backends (1.0.27-1~experimental3ubuntu2.2) bionic; urgency=medium

  * debian/patches/git-fix-discolored-bar-issue.patch:
    - Upstream commit to fix issue with discolored bar on Genesys GL847
      scanners (LP: #1731459).

 -- Gunnar Hjalmarsson <email address hidden>  Thu, 08 Aug 2019 20:27:00 +0200
Obsolete in disco-updates
Deleted in disco-proposed (Reason: moved to -updates)
sane-backends (1.0.27-3.2ubuntu1.1) disco; urgency=medium

  * debian/patches/git-fix-discolored-bar-issue.patch:
    - Upstream commit to fix issue with discolored bar on Genesys GL847
      scanners (LP: #1731459).

 -- Gunnar Hjalmarsson <email address hidden>  Thu, 08 Aug 2019 21:21:00 +0200
Superseded in eoan-release
Deleted in eoan-proposed (Reason: moved to release)
sane-backends (1.0.27-3.2ubuntu2) eoan; urgency=medium

  * debian/patches/git-fix-discolored-bar-issue.patch:
    - Upstream commit to fix issue with discolored bar on Genesys GL847
      scanners (LP: #1731459).

 -- Gunnar Hjalmarsson <email address hidden>  Thu, 08 Aug 2019 20:27:00 +0200
Superseded in bionic-updates
Deleted in bionic-proposed (Reason: moved to -updates)
sane-backends (1.0.27-1~experimental3ubuntu2.1) bionic; urgency=medium

  * debian/patches/0125-multiarch_dll_search_path.patch:
    - Reactivated and refreshed to allow driver from non-multiarch
      directories (Closes: #910103, LP: #1728012).
      It was fixed in disco, and this is the related Debian commit:
      https://jff.email/cgit/sane-backends.git/commit/?id=a94d3a93

 -- Gunnar Hjalmarsson <email address hidden>  Wed, 03 Jul 2019 15:53:00 +0200
Superseded in eoan-release
Obsolete in disco-release
Deleted in disco-proposed (Reason: moved to release)
sane-backends (1.0.27-3.2ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add libsane1 transitional package (LP: #1802586) (Closes: #913346)
    - debian/control: Transitional packages for Arch:any/Multi-Arch:same
      packages must themselves be Arch:any and Multi-Arch:same to work.

Superseded in disco-release
Deleted in disco-proposed (Reason: moved to release)
sane-backends (1.0.27-3.1ubuntu2) disco; urgency=medium

  * debian/control: Transitional packages for Arch:any/Multi-Arch:same
    packages must themselves be Arch:any and Multi-Arch:same to work.

 -- Adam Conrad <email address hidden>  Sun, 20 Jan 2019 22:29:43 -0700
Superseded in disco-release
Deleted in disco-proposed (Reason: moved to release)
sane-backends (1.0.27-3.1ubuntu1) disco; urgency=medium

  * Add libsane1 transitional package (LP: #1802586) (Closes: #913346)

 -- Jeremy Bicha <email address hidden>  Wed, 02 Jan 2019 11:55:10 -0500
Superseded in disco-proposed
sane-backends (1.0.27-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libsane1 back to libsane, make the renamed package provide libsane1
    (Closes: #908681)

 -- Laurent Bigonville <email address hidden>  Fri, 02 Nov 2018 20:30:06 +0100
Superseded in disco-release
Obsolete in cosmic-release
Deleted in cosmic-proposed (Reason: moved to release)
sane-backends (1.0.27-1) unstable; urgency=medium

  * Upload to unstable (Closes: #905838, #905913).
  * debian/control:
    - Change Breaks to Conflicts for binary package libsane1
      (Thanks to Jeremy Bicha <email address hidden>).

 -- Jörg Frings-Fürst <email address hidden>  Fri, 31 Aug 2018 11:00:57 +0200
Superseded in cosmic-release
Deleted in cosmic-proposed (Reason: moved to release)
sane-backends (1.0.27-1~experimental6ubuntu2) cosmic; urgency=medium

  * Drop debian/rules hacky sed, now the delta is only the additiona
    "Provides:" of old libsane, that needs to be addressed in Debian too.

 -- Gianfranco Costamagna <email address hidden>  Fri, 10 Aug 2018 18:48:12 +0200
Superseded in cosmic-release
Deleted in cosmic-proposed (Reason: moved to release)
sane-backends (1.0.27-1~experimental6ubuntu1) cosmic; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - Add versioned "Provides: libsane" to libsane1
    - debian/rules: Drop timestamps from conflicting multiarch:same files
      hwdb.d/20-sane.hwdb and rules.d/60-libsane1.rules

Superseded in cosmic-release
Deleted in cosmic-proposed (Reason: moved to release)
sane-backends (1.0.27-1~experimental5ubuntu1) cosmic; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - Add versioned "Provides: libsane" to libsane1
    - debian/rules: Drop timestamps from conflicting multiarch:same files
      hwdb.d/20-sane.hwdb and rules.d/60-libsane1.rules

Superseded in cosmic-release
Published in bionic-release
Deleted in bionic-proposed (Reason: moved to release)
sane-backends (1.0.27-1~experimental3ubuntu2) bionic; urgency=medium

  * debian/rules: Drop timestamps from conflicting multiarch:same files
    hwdb.d/20-sane.hwdb and rules.d/60-libsane1.rules (closes: #880391)

 -- Adam Conrad <email address hidden>  Sat, 03 Feb 2018 14:26:39 -0700
Superseded in bionic-release
Deleted in bionic-proposed (Reason: moved to release)
sane-backends (1.0.27-1~experimental3ubuntu1) bionic; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - Add versioned "Provides: libsane" to libsane1

Obsolete in artful-updates
Superseded in bionic-release
Deleted in bionic-proposed (Reason: moved to release)
Deleted in artful-proposed (Reason: moved to -updates)
sane-backends (1.0.27-1~experimental2ubuntu2.1) artful; urgency=medium

  * Add version to Provides. Use Conflicts instead of Breaks (LP: #1707352)

Superseded in bionic-release
Deleted in bionic-proposed (Reason: moved to release)
Superseded in artful-proposed
sane-backends (1.0.27-1~experimental2ubuntu2) artful; urgency=medium

  * Add "Provides: libsane" to libsane1 (LP: #1707352)

 -- Jeremy Bicha <email address hidden>  Tue, 17 Oct 2017 18:18:18 -0400
Superseded in bionic-release
Obsolete in artful-release
Deleted in artful-proposed (Reason: moved to release)
sane-backends (1.0.27-1~experimental2ubuntu1) artful; urgency=medium

  * Demote libsane-dev -> libsane-extras-dev Recommends to a
    Suggests, as libsane-extras-dev is currently in universe.

 -- Adam Conrad <email address hidden>  Fri, 13 Oct 2017 04:21:24 -0600
Superseded in artful-release
Deleted in artful-proposed (Reason: moved to release)
sane-backends (1.0.27-1~experimental2) experimental; urgency=medium

  * debian/rules:
    - Rename libsane.udev to libsane1.udev to make sure that
      60-libsane1.rules is actually created (Closes: #868312).
  * Rename libsane.udev to libsane1.udev in TROUBLESHOOTING.Debian
    and libsane1.README.Debian.
  * debian/control:
    + Add Breaks and Replaces against libsane to libsane1
      binary package (Closes: #868308).
    + Remove outdated Recommends libsane-extras to libsane1
      binary package (Closes: #868265).
    + Remove [!hurd-i386] from libusb-1.0-0-dev Build-Dependency.
  * debian/sane-utils.postrm:
    + Add set -e and silence update-inetd calls with "|| true".
  * Regenerate symbols files from build logs (Closes: #868309).
  * Use the hwdb+udev format (Closes: #869244):
    - debian/rules: Call sane-desc with -m udev+hwdb and -m hwdb,
      disable -m udev+acl call in override_dh_installudev-arch.
    - New file libsane1.dirs for /lib/udev/hwdb.d/.
  * Drop both dh-autoreconf/dh-systemd from both Build-Depends
    and dh command line as both are enabled by default for
    dh compat level 10.
  * Drop --parallel from the dh command line because parallel
    builds are enabled by default for dh compat level 10.
  * Drop .la files from libsane1.install (Closes: #868307).

 -- Jörg Frings-Fürst <email address hidden>  Fri, 28 Jul 2017 13:53:30 +0200
Superseded in artful-release
Deleted in artful-proposed (Reason: moved to release)
sane-backends (1.0.27-1~experimental1ubuntu2) artful; urgency=medium

  * Try to not fail with missing la files

 -- Gianfranco Costamagna <email address hidden>  Fri, 21 Jul 2017 16:48:24 +0200
Superseded in artful-proposed
sane-backends (1.0.27-1~experimental1ubuntu1~artful4) artful; urgency=medium

  * Do not fail for missing la files, thanks jbicha for telling me
  * Simplify Break+Replaces.

 -- Gianfranco Costamagna <email address hidden>  Fri, 21 Jul 2017 16:42:43 +0200
Superseded in artful-proposed
sane-backends (1.0.27-1~experimental1ubuntu1~artful3) artful; urgency=medium

  * Remove la files (Closes: #868307)
  * Fix dependencies to ensure upgrade path from libsane (Closes: #868308)
  * Fix udev rule (Closes: #868312), thanks Michael Biebl for debugging it!
  * Upload to Ubuntu artful (LP: #1698687, LP: #1705691)

 -- Gianfranco Costamagna <email address hidden>  Fri, 21 Jul 2017 15:35:04 +0200
Superseded in artful-proposed
sane-backends (1.0.27-1~experimental1ubuntu1~artful2) artful; urgency=medium

  * Fix symbols files

 -- Gianfranco Costamagna <email address hidden>  Fri, 21 Jul 2017 10:37:56 +0200
Superseded in artful-proposed
sane-backends (1.0.27-1~experimental1ubuntu1~artful1) artful; urgency=medium

  * Sync with Debian (LP: #1698687, LP: #1657391). Remaining change:
    - Demote libsane-extras* from Recommends to Suggests, as long as this
      package is in universe.
  * Drop patches applied in new release:
    - fix_avahi_error_paths.patch
    - kodak_avahi_crash.patch
    - usb3_timing_fix.patch
    - disable_v4l.patch: this package is built using --without-v4l
  * Drop other changes no longer needed:
    - debian/sane-utils.saned.init: Don't call init script on shutdown, it's
      unnecessary. (The init script is disabled by default.)
    - Demote sane-utils from Recommends to Suggests. (hplip has
      recommended sane-utils for years.)
    - Breaks/Replaces not needed after Ubuntu 17.04

Deleted in xenial-proposed (Reason: The package was removed due to its SRU bug(s) not being v...)
sane-backends (1.0.25+git20150528-1ubuntu2.16.04.2) xenial; urgency=medium

  * debian/patches/kodak_avahi_crash.patch:
    - Fix crash when Avahi fails scanning for Kodak scanners (LP: #1351286)

 -- Robert Ancell <email address hidden>  Tue, 04 Apr 2017 11:56:59 +1200
Obsolete in yakkety-proposed
sane-backends (1.0.25+git20150528-1ubuntu2.16.10.2) yakkety; urgency=medium

  * debian/patches/kodak_avahi_crash.patch:
    - Fix crash when Avahi fails scanning for Kodak scanners (LP: #1351286)

 -- Robert Ancell <email address hidden>  Tue, 04 Apr 2017 11:56:59 +1200
Superseded in artful-release
Obsolete in zesty-release
Deleted in zesty-proposed (Reason: moved to release)
sane-backends (1.0.25+git20150528-1ubuntu4) zesty; urgency=medium

  * debian/patches/kodak_avahi_crash.patch:
    - Fix crash when Avahi fails scanning for Kodak scanners (LP: #1351286)

 -- Robert Ancell <email address hidden>  Tue, 04 Apr 2017 11:56:59 +1200
Superseded in xenial-updates
Deleted in xenial-proposed (Reason: moved to -updates)
sane-backends (1.0.25+git20150528-1ubuntu2.16.04.1) xenial; urgency=medium

  * control: add breaks/replaces between libsane and libsane-common to
    fix earlier packaging mistake. LP: #1564778

 -- Rolf Leggewie <email address hidden>  Thu, 09 Feb 2017 17:30:55 +0800
Obsolete in yakkety-updates
Deleted in yakkety-proposed (Reason: moved to -updates)
sane-backends (1.0.25+git20150528-1ubuntu2.16.10.1) yakkety; urgency=medium

  * control: add breaks/replaces between libsane and libsane-common to
    fix earlier packaging mistake. LP: #1564778
    The changes are safe to be dropped on the next upload.

 -- Rolf Leggewie <email address hidden>  Thu, 09 Feb 2017 17:30:27 +0800
Superseded in zesty-release
Deleted in zesty-proposed (Reason: moved to release)
sane-backends (1.0.25+git20150528-1ubuntu3) zesty; urgency=medium

  * control: add breaks/replaces between libsane and libsane-common to
    fix earlier packaging mistake. LP: #1564778
    The changes is safe to drop from z+1.

 -- Rolf Leggewie <email address hidden>  Thu, 09 Feb 2017 17:29:27 +0800
Superseded in zesty-release
Obsolete in yakkety-release
Published in xenial-release
Obsolete in wily-release
Deleted in wily-proposed (Reason: moved to release)
sane-backends (1.0.25+git20150528-1ubuntu2) wily; urgency=medium

  * Fix timing issues on USB3 or fast recent hardware.  Back-port from
    upstream.

 -- Michael Thayer <email address hidden>  Wed, 16 Sep 2015 10:25:15 +0200
Superseded in wily-release
Deleted in wily-proposed (Reason: moved to release)
sane-backends (1.0.25+git20150528-1ubuntu1) wily; urgency=medium

  * Merge with Debian, remaining changes
    - Demote libsane-extras* from Recommends to Suggests, as long as this
      package is in universe.
    - Demote sane-utils from Recommends to Suggests. We do not want to have
      an init script for saned laying around, which is disabled by default
      anyway.
    - debian/sane-utils.saned.init: Don't call init script on shutdown, it's
      unnecessary.
    - disable_v4l.patch, fix_avahi_error_paths.patch: See patch headers.
    - Update patches which patch Makefile.in to also patch .am.

Superseded in wily-release
Deleted in wily-proposed (Reason: moved to release)
sane-backends (1.0.24-11ubuntu2) wily; urgency=medium

  * No-change rebuild against libgphoto2-port12.

 -- Martin Pitt <email address hidden>  Tue, 26 May 2015 12:55:11 +0200
Superseded in wily-release
Deleted in wily-proposed (Reason: moved to release)
sane-backends (1.0.24-11ubuntu1) wily; urgency=low

  * Merge with Debian, remaining changes
    - Demote libsane-extras* from Recommends to Suggests, as long as this
      package is in universe.
    - Demote sane-utils from Recommends to Suggests. We do not want to have
      an init script for saned laying around, which is disabled by default
      anyway.
    - debian/sane-utils.saned.init: Don't call init script on shutdown, it's
      unnecessary.
    - disable_v4l.patch, fix_avahi_error_paths.patch: See patch headers.
    - Update patches which patch Makefile.in to also patch .am.

Superseded in wily-release
Obsolete in vivid-release
Deleted in vivid-proposed (Reason: moved to release)
sane-backends (1.0.24-4ubuntu1) vivid; urgency=low

  * Merge with Debian, remaining changes
    - Demote libsane-extras* from Recommends to Suggests, as long as this
      package is in universe.
    - Demote sane-utils from Recommends to Suggests. We do not want to have
      an init script for saned laying around, which is disabled by default
      anyway.
    - debian/rules, debian/sane-utils.saned.init: Don't call init script on
      shutdown, it's unnecessary.
    - disable_v4l.patch, fix_avahi_error_paths.patch: See patch headers.
    - Update patches which patch Makefile.in to also patch .am.

Superseded in vivid-release
Obsolete in utopic-release
Deleted in utopic-proposed (Reason: moved to release)
sane-backends (1.0.24-1.1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes
    - Build against libgphoto2-dev
    - Demote libsane-extras* from Recommends to Suggests, as long as this
      package is in universe.
    - Demote sane-utils from Recommends to Suggests. We do not want to have
      an init script for saned laying around, which is disabled by default
      anyway.
    - debian/rules: Link using -Bsymbolic-functions (startup time
      optimization).
    - debian/rules, debian/sane-utils.saned.init: Don't call init script on
      shutdown, it's unnecessary.
    - disable_v4l.patch, fix_avahi_error_paths.patch: See patch headers.
    - Update patches which patch Makefile.in to also patch .am.
  * Dropped patches now upstream:
    - fix-gl646-setup-registers.patch:
      + Fix crash using some HP scanners
    - fix-for-broken-tpu-scan.patch

Published in trusty-updates
Deleted in trusty-proposed (Reason: moved to -updates)
sane-backends (1.0.23-3ubuntu3.1) trusty; urgency=medium

  * debian/patches/fix-gl646-setup-registers.patch:
    - Fix crash using some HP scanners (LP: #1301161)
 -- Robert Ancell <email address hidden>   Fri, 09 May 2014 11:05:29 +1200

Available diffs

Superseded in utopic-release
Deleted in utopic-proposed (Reason: moved to release)
sane-backends (1.0.23-3ubuntu4) utopic; urgency=medium

  * debian/patches/fix-gl646-setup-registers.patch:
    - Fix crash using some HP scanners (LP: #1301161)
 -- Robert Ancell <email address hidden>   Fri, 09 May 2014 11:05:29 +1200

Available diffs

Superseded in utopic-release
Published in trusty-release
Deleted in trusty-proposed (Reason: moved to release)
sane-backends (1.0.23-3ubuntu3) trusty; urgency=medium

  * Build against libgphoto2-dev instead of libgphoto2-6-dev. (Reverts Ubuntu
    specific delta)
 -- Martin Pitt <email address hidden>   Mon, 10 Feb 2014 09:28:15 +0100

Available diffs

Superseded in trusty-release
Deleted in trusty-proposed (Reason: moved to release)
sane-backends (1.0.23-3ubuntu2) trusty; urgency=medium

  * debian/{control,rules}: Build with dh-autoreconf for new libtool.
  * debian/patches/*.patch: Patch Makefile.am too, not just Makefile.in.
 -- William Grant <email address hidden>   Sun, 15 Dec 2013 12:10:33 +0000
Superseded in trusty-release
Deleted in trusty-proposed (Reason: moved to release)
sane-backends (1.0.23-3ubuntu1) trusty; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Build against libgphoto2-6 and libtiff5.
    - Demote libsane-extras* from Recommends to Suggests, as long as this
      package is in universe.
    - Demote sane-utils from Recommends to Suggests. We do not want to have
      an init script for saned laying around, which is disabled by default
      anyway.
    - debian/rules: Link using -Bsymbolic-functions (startup time
      optimization).
    - debian/rules, debian/sane-utils.saned.init: Don't call init script on
      shutdown, it's unnecessary.
    - disable_v4l.patch, fix_avahi_error_paths.patch,
      fix-for-broken-tpu-scan.patch: See patch headers.

Superseded in trusty-release
Obsolete in saucy-release
Deleted in saucy-proposed (Reason: moved to release)
sane-backends (1.0.23-0ubuntu3) saucy; urgency=low

  * Build against libgphoto2-6.
 -- Martin Pitt <email address hidden>   Wed, 31 Jul 2013 08:46:27 +0200

Available diffs

Superseded in saucy-release
Deleted in saucy-proposed (Reason: moved to release)
sane-backends (1.0.23-0ubuntu2) saucy; urgency=low

  * Apply upstream patch supplied by Rolf Bensh to fix Canon Pixma MP970 TPU
    scanning (LP: #1096612)
 -- Iain Lane <email address hidden>   Tue, 21 May 2013 16:01:15 +0100

Available diffs

Superseded in saucy-release
Obsolete in raring-release
Obsolete in quantal-release
sane-backends (1.0.23-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release (LP: #1044544)
  * debian/control:
    - Use standards-version 3.9.3
  * debian/patches/fix_v4l_build.patch:
  * debian/patches/hurd_path_max_fix.patch:
  * debian/patches/sane-desc_udev+acl.patch:
  * debian/patches/scanimage_man_batch_start.patch:
  * debian/patches/udev_usb_suspend.patch:
  * debian/patches/xerox_mfp_add_scx_4623fw.patch:
  * debian/patches/xerox_mfp_fix_usb_devices.patch:
    - Applied upstream
 -- Robert Ancell <email address hidden>   Thu, 20 Sep 2012 11:16:44 +1200

Available diffs

Superseded in quantal-release
sane-backends (1.0.22-7ubuntu3) quantal; urgency=low

  * debian/control, debian/rules: Switch to libusb 1.0. (LP: #918774)
 -- Whoopie <email address hidden>   Mon, 10 Sep 2012 09:40:11 +0200
Superseded in quantal-release
sane-backends (1.0.22-7ubuntu2) quantal; urgency=low

  * debian/control:
    - Build-Depend on libtiff5-dev
 -- Michael Terry <email address hidden>   Mon, 09 Jul 2012 17:30:38 -0400

Available diffs

Superseded in quantal-release
Published in precise-release
sane-backends (1.0.22-7ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - debian/patches/disable_v4l.patch: Disable v4l backend.
    - debian/patches/fix_avahi_error_paths.patch: fix free order of
      avahi_client and avahi_browser in failure path, fixing assert when
      avahi is unavailable
    - debian/control:
      + Demote libsane-extras* from Recommends to Suggests, as long as
        this package is in universe.
      + Demote sane-utils from Recommends to Suggests.
        We do not want to have an init script for saned laying around,
        which is disabled by default anyway.
      + Drop the alternative "makedev" dependency; we only support udev.
    - debian/libsane.postinst: Don't create a scanner group.
    - debian/rules:
      + Link using -Bsymbolic-functions (startup time optimization).
      + Saned init script does not need to be started before gdm
        and does not need to be called on shutdown.
    - debian/sane-utils.*: No longer have scanner group.
    - debian/sane-utils.saned.init: Saned init script does not need to
      be started before gdm and does not need to be called on shutdown.
  * Dropped changes, no longer needed:
    - debian/libsane.preinst:
      + Remove the old file if unmodified.
      + Remove the old blacklist-scanner modprobe file.
    - Dropped "acl" dependency: acl is part of the standard system and
      the udev rules still reference setfacl, so we should keep this
      dependency here.
 -- Steve Langasek <email address hidden>   Sun, 04 Dec 2011 20:27:13 -0800
Superseded in precise-release
Obsolete in oneiric-release
sane-backends (1.0.22-2ubuntu2) oneiric; urgency=low

  * debian/patches/fix_avahi_error_paths.patch:
    - Fix free order of avahi_client and avahi_browser in failure path.
      Fixes assert when avahi is unavailable (LP: #831867)
 -- Christopher James Halse Rogers <email address hidden>   Wed, 21 Sep 2011 16:39:32 +1000
Superseded in oneiric-release
Obsolete in natty-release
sane-backends (1.0.22-2ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes: (LP: #739708)
    - debian/control:
      + Demote libsane-extras* from Recommends to Suggests, as long as
        this package is in universe.
      + Demote sane-utils from Recommends to Suggests.
        We do not want to have an init script for saned laying around,
        which is disabled by default anyway.
    - debian/libsane.postinst: Don't create a scanner group.
    - debian/libsane.preinst:
      + Remove the old file if unmodified.
      + Remove the old blacklist-scanner modprobe file.
    - debian/patches/disable_v4l.patch: Disable v4l backend.
    - debian/rules:
      - Link using -Bsymbolic-functions (startup time optimization).
      - Saned init script does not need to be started before gdm
        and does not need to be called on shutdown.
      - Drop "acl" dependency. Current udev releases already evaluate
        the "libsane_matched" property, so we don't need the sane rules
        to do that again. Also drop the alternative "makedev" dependency;
        we only support udev.
    - debian/sane-utils.*: No longer have scanner group.
    - debian/sane-utils.saned.init: Saned init script does not need to
      be started before gdm and does not need to be called on shutdown.

Available diffs

Superseded in natty-release
sane-backends (1.0.22-1ubuntu1) natty; urgency=low

  [ Artur Rona ]
  * Merge from debian unstable.  Remaining changes: (LP: #729283)
    - debian/control:
      + Demote libsane-extras* from Recommends to Suggests, as long as
        this package is in universe.
      + Demote sane-utils from Recommends to Suggests.
        We do not want to have an init script for saned laying around,
        which is disabled by default anyway.
    - debian/libsane.postinst: Don't create a scanner group.
    - debian/libsane.preinst:
      + Remove the old file if unmodified.
      + Remove the old blacklist-scanner modprobe file.
    - debian/patches/disable_v4l.patch: Disable v4l backend.
    - debian/rules:
      - Link using -Bsymbolic-functions (startup time optimization).
      - Saned init script does not need to be started before gdm
        and does not need to be called on shutdown.
    - debian/sane-utils.*: No longer have scanner group.
    - debian/sane-utils.saned.init: Saned init script does not need to
      be started before gdm and does not need to be called on shutdown.

  [ Martin Pitt ]
  * Drop ubuntu_udev_noperm.patch. It's superseded by Debian's
    sane-desc_udev+acl.patch. This also brings back the accidentally dropped
    SCSI scanner rules. (LP: #727696)
  * debian/rules: Drop "acl" dependency. Current udev releases already
    evaluate the "libsane_matched" property, so we don't need the sane rules
    to do that again. Also drop the alternative "makedev" dependency; we
    only support udev.

Available diffs

175 of 116 results